#define reg .equ

;
; 8xc751 special register set
;
; 751 iic byte registers

I2CON    .equ    098h
I2CFG    .equ    0d8h
I2DAT    .equ    099h
I2STA    .equ    0f8h

IE    .equ    0a8h        ; interupt enable

TCON    .equ    088h        ; timer/counter control

TL    .equ    08ah        ; timer low byte
TH    .equ    08ch        ; timer hi byte
RTL    .equ    08bh        ; timer reload lo
RTH    .equ    08dh        ; timer reload hi

; 751 iic bit registers

;I2CNFG

SLAVEN    reg    0dfh
MASTRQ    reg    0deh
TIRUN    reg    0dch
CT1    reg    0d9h
CT0    reg    0d8h
CLRTI    reg    0ddh

RDAT    reg    09fh
ATN    reg    09eh
DRDY    reg    09dh
ARL    reg    09ch
STR    reg    09bh
STP    reg    09ah
MASTER    reg    099h

; I2CON

CXA    reg    09fh
IDLE    reg    09eh
CDR    reg    09dh
CARL    reg    09ch
CSTR    reg    09bh
CSTP    reg    09ah
XSTR    reg    099h
XSTP    reg    098h

;I2STA

XDATA    reg    0fdh
XACTV    reg    0fch
MAKSTR    reg    0fbh
MAKSTP    reg    0fah

; IE bit registers

EA    reg    0afh    ; clr to disable all interupts
EI2    reg    0ach    ; set to enable iic interupt
ETI    reg    0abh    ; set to enable timer 1 overflow interupt
EX1    reg    0aah    ; set to enable ext int 1
ET0    reg    0a9h    ; set to enable timer 0 overflow interupt
EX0    reg    0a8h    ; set to enable ext int 0

;  Value definitions.

CTVAL        .equ    02h    ;CT1, CT0 bit values for I2C.


;  Masks for I2CFG bits.

BTIR        .equ    10h    ;Mask for TIRUN bit.
BMRQ        .equ    40h    ;Mask for MASTRQ bit.


;  Masks for I2CON bits.

BCXA        .equ    80h    ;Mask for CXA bit.
BIDLE        .equ    40h    ;Mask for IDLE bit.
BCDR        .equ    20h    ;Mask for CDR bit.
BCARL        .equ    10h    ;Mask for CARL bit.
BCSTR        .equ    08h    ;Mask for CSTR bit.
BCSTP        .equ    04h    ;Mask for CSTP bit.
BXSTR        .equ    02h    ;Mask for XSTR bit.
BXSTP        .equ    01h    ;Mask for XSTP bit.
;


SCL     reg  p0.0    ;Port bit for I2C serial clock line.
SDA     reg  p0.1    ;Port bit for I2C serial data line.



